{
  config,
  lib,
  pkgs,
  ...
}:
{
  boot.kernelPackages =
    let
      version = "6.11.2";
    in
    pkgs.linuxPackagesFor (
      pkgs.linuxManualConfig {
        version = "${version}-patos1";
        modDirVersion = version;
        src = pkgs.fetchurl {
          url = "https://cdn.kernel.org/pub/linux/kernel/v6.x/linux-${version}.tar.xz";
          sha256 = "ec9ef7a0b9cebb55940e1ef87a1f9e1004b10456a119dc386bb3e565b0d39c42";
        };
        configfile = ./generic.config;
        allowImportFromDerivation = true;
      }
    );
}
